Name:           libfwbuilder
Summary: 	Firewall Builder API
Version:        2.0.6
Release:        1
License: 	GPL
Group:  	System Environment/Libraries
Url: 		http://www.fwbuilder.org/
Source: 	%{name}-%{version}.tar.gz
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  qt-devel >= 1:3.0.0
BuildRequires:	libxslt-devel
BuildRequires:  openssl-devel
#BuildRequires:  net-snmp-devel

%description 
Firewall Builder API library and compiler framework

%files 
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/README doc/PatchAcceptancePolicy.txt
%dir %{_datadir}/libfwbuilder
%{_datadir}/libfwbuilder/*
%{_libdir}/*.so.*
%{_libdir}/*.so


%package devel
Summary:   Firewall Builder API Libraries and Header Files
Group: 	   Development/Libraries
Requires:  %{name} = %{version}-%{release}
Requires: libxslt-devel
Requires: openssl-devel

%description devel
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.

%files  devel
%defattr(-, root, root)
%{_bindir}/libfwbuilder-config-2
%{_includedir}/fwb-2.0/fwbuilder
%{_includedir}/fwb-2.0/fwcompiler


%prep 
%setup -q


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
./configure --enable-auto-docdir --libdir=%{_libdir} --prefix=%{_prefix} --with-templatedir=%{_datadir}/libfwbuilder --disable-static  --enable-shared
make all


%install
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
rm -rf $RPM_BUILD_ROOT
make DDIR=$RPM_BUILD_ROOT install
# prevent including twice the doc
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%changelog
* Thu Mar  3 2005 Steve Grubb <sgrubb@redhat.com> 2.0.6-1
- New upstream version

* Sun Feb  6 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.0.5-3
- Remove extra quotes from Group tag in -devel.

* Sat Jan 22 2005 Warren Togami <wtogami@redhat.com> 2.0.5-2
- spec cleanup

* Sat Jan 22 2005 Steve Grubb <sgrubb@redhat.com> 2.0.5
- Created base spec file

